com.qualcomm.ftccommon

## Class FtcWifiDirectChannelSelectorActivity

- java.lang.Object
- - ThemedActivity
  - - com.qualcomm.ftccommon.FtcWifiDirectChannelSelectorActivity

-     public class FtcWifiDirectChannelSelectorActivity
      extends ThemedActivity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `FtcWifiDirectChannelSelectorActivity.WifiChannelItemAdapter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtcWifiDirectChannelSelectorActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <any>` | `getAdapter(<any> av)`
    `java.lang.String` | `getTag()`
    `protected void` | `loadAdapter(ListView itemsListView)`
    `protected void` | `onCreate(Bundle savedInstanceState)`
    `protected void` | `onDestroy()`
    `void` | `onItemClick(<any> parent, View view, int position, long id)`
    `protected void` | `onStart()`
    `void` | `onWifiSettingsClicked(View view)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FtcWifiDirectChannelSelectorActivity

          public FtcWifiDirectChannelSelectorActivity()

  - ### Method Detail

    - #### getTag

          public java.lang.String getTag()

    - #### onCreate

          protected void onCreate(Bundle savedInstanceState)

    - #### onStart

          protected void onStart()

    - #### onDestroy

          protected void onDestroy()

    - #### getAdapter

          protected <any> getAdapter(<any> av)

    - #### loadAdapter

          protected void loadAdapter(ListView itemsListView)

    - #### onItemClick

          public void onItemClick(<any> parent,
                                  View view,
                                  int position,
                                  long id)

    - #### onWifiSettingsClicked

          public void onWifiSettingsClicked(View view)